import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/repositories/payment_repository.dart';

class ActivateSubscriptionUsecase {
  final PaymentRepository repository;

  ActivateSubscriptionUsecase(this.repository);

  Future<Result<bool>> call(int optionId) {
    return repository.activateSubscription(optionId);
  }
}
